--- title: "Get resource usage limit" slug: "organization-get-policy-allotment" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/organization-get-policy-allotment" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get resource usage limit Available in Classic and VPC Get the usage limits for each resource applied to an account. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /open-api/v1/policy/allotment/{memberNo}/{regionNo} | ### Request headers For information about the headers common to all Organization APIs, see [Organization request headers](/docs/en/organization-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `memberNo` | Integer | Required | Account member ID - See [Get account list](/docs/en/organization-get-account-group) | | `regionNo` | String | Required | Region number - See [Get Region list](/docs/en/organization-get-policy-region) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://organization.apigw.ntruss.com/open-api/v1/policy/allotment/260****/1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `resourceTypeCode` | String | - | Resource code | | `resourceName` | String | - | Resource name | | `customResourceName` | String | - | Resource name - Generally identical to the `resourceName` value. - Some resources contain hierarchical information, unlike `resourceName`. | | `lowerResourceName` | String | - | Child resource name | | `resourceCategoryTypeCode` | String | - | Resource category code | | `resourceQuotaDetailConfigYn` | String | - | Whether resource detailed settings are required - `Y` \| `N` - `Y`: Required - `N`: Not required | | `sortOrder` | Integer | - | List sort order | | `useYn` | String | - | Resource usage status - `Y` \| `N` - `Y`: Available - `N`: Unavailable | | `exposureYn` | String | - | Resource exposure status - `Y` \| `N` - `Y`: Expose - `N`: Not expose | | `restrictionUnitCode` | String | - | Usage limit unit code | | `restrictionUnitDescription` | String | - | Usage limit unit code description | | `resourceQuotaList` | Array | - | Resource usage limit: [resourceQuotaList](/docs/en/organization-get-policy-allotment#resourceQuotaList) | | `resourceQuotaDetailList` | Array | - | Resource type usage limit: [resourceQuotaDetailList](/docs/en/organization-get-policy-allotment#resourceQuotaDetailList) - If the `resourceQuotaDetailConfigYn` value is `N`, it is displayed as an empty value `[]`. | #### `resourceQuotaList` The following describes `resourceQuotaList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyNo` | String | - | Policy number | | `resourceQuotaSequence` | String | - | Usage limit serial number | | `regionNo` | String | - | Region number | | `resourceTypeCode` | String | - | Resource code | | `restrictionCount` | Integer | - | Usage limits | #### `resourceQuotaDetailList` The following describes `resourceQuotaDetailList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyNo` | String | - | Policy number | | `resourceQuotaSequence` | String | - | Usage limit serial number | | `regionNo` | String | - | Region number | | `resourceTypeCode` | String | - | Resource code | | `infraResourceDetailTypeCode` | String | - | Service type code | | `infraResourceDetailTypeName` | String | - | service types | | `productTypeDetailCode` | String | - | Resource detailed type code | | `productTypeDetailCodeName` | String | - | Resource detailed type | | `generationCode` | String | - | Generation type code - Non-server resources are displayed as `-` | | `restrictionCount` | Integer | - | Usage limits | | `usedCount` | Integer | - | Used limit | | `toBeCount` | Integer | - | Remaining limit | | `endOfService` | Boolean | - | Usage limits | For information about the HTTP status codes common to all Organization APIs, see [Organization response status codes](/docs/en/organization-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "resourceTypeCode": "SVR", "resourceName": "Server", "customResourceName": "Server", "lowerResourceName": null, "resourceCategoryTypeCode": "COMPUTE", "resourceQuotaDetailConfigYn": "Y", "sortOrder": 1, "useYn": "Y", "exposureYn": "Y", "restrictionUnitCode": "COUNT", "restrictionUnitDescription": "Number of server creations", "resourceQuotaList": [ { "policyNo": "1", "resourceQuotaSequence": "18", "regionNo": "1", "resourceTypeCode": "SVR", "restrictionCount": 50 } ], "resourceQuotaDetailList": [ { "policyNo": "1", "resourceQuotaSequence": "18", "regionNo": "1", { "policyNo": "1", "resourceQuotaSequence": "18", "resourceQuotaDetailSequence": "1", "resourceTypeCode": "SVR", "regionNo": "1", "infraResourceDetailTypeCode": "BM", "infraResourceDetailTypeName": "BareMetal", "productTypeCode": "CPU", "productTypeCodeName": "CPU Intensive", "generationCode": "G1", "restrictionCount": 5, "endOfService": false }, { "policyNo": "1", "resourceQuotaSequence": "18", "resourceQuotaDetailSequence": "2", "resourceTypeCode": "SVR", "regionNo": "1", "infraResourceDetailTypeCode": "VM", "infraResourceDetailTypeName": "VM", "productTypeCode": "CPU", "productTypeCodeName": "CPU Intensive", "generationCode": "G1", "restrictionCount": 5, "endOfService": false }, "resourceTypeCode": "PBLIP", "resourceName": "Public IP", "customResourceName": "Public IP", "lowerResourceName": null, "resourceCategoryTypeCode": "COMPUTE", "resourceQuotaDetailConfigYn": "N", "sortOrder": 12, "useYn": "Y", "exposureYn": "Y", "restrictionUnitCode": "REL_COUNT", "restrictionUnitDescription": "Number of public IP creations", "resourceQuotaList": [ { "policyNo": null, "resourceQuotaSequence": null, "regionNo": "1", "resourceTypeCode": "PBLIP", "restrictionCount": 100 } ], "resourceQuotaDetailList": [] }, ... ] ```